# Searches for appeals using predefined parameters Searches for appeals using predefined parameters Endpoint: POST /appeals/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `date` (array) - `goal` (number) - `ids` (array) IDs to search - `name` (string) ## Response 200 fields (application/json): - `Items` (array) - `Items.end_date` (string) The end date of the appeal - `Items.goal` (number) The gaol for the appeal - `Items.id` (string) The id - `Items.is_active` (boolean) Is the appeal active - `Items.name` (string) The name - `Items.start_date` (string) The start date of the appeal - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields